use serde::{Deserialize, Serialize};

pub mod ecs;
pub mod panic;
pub mod repl;
pub mod splash;

pub mod render;

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq)]
pub struct EngineState {
    log_level: LogLevel,
}
#[derive(Debug, Serialize, Deserialize, Clone, PartialEq)]

enum LogLevel {
    Info,
    Debug,
    Error,
    Trace,
}
impl EngineState {}
